Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::grouping_node Class Reference
[Nodes]

Inheritance diagram for openvrml::grouping_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for grouping nodes.

## Public Member Functions

virtual | ~grouping_node ()=0 throw ()
| Destroy.
virtual const std::vector< node_ptr > & | children () const =0 throw ()
| Get the children in the scene graph.
virtual void | activate (double timestamp, bool over, bool active, double *p)=0
| Called in response to user interaction to activate any child pointing device sensor nodes.

## Protected Member Functions

| grouping_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual grouping_node * | to_grouping () throw ()
| Cast to a grouping_node.

## Constructor & Destructor Documentation

openvrml::grouping_node::~grouping_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy.

openvrml::grouping_node::grouping_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

Construct.

Parameters:

  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.

## Member Function Documentation

const std::vector< node_ptr > & openvrml::grouping_node::children | ( |  | ) | const throw ()`[pure virtual]`

Get the children in the scene graph.

Returns:
  the child nodes in the scene graph.

Implemented in openvrml::vrml97_node::group_node, openvrml::vrml97_node::inline_node, openvrml::vrml97_node::lod_node, and openvrml::vrml97_node::switch_node.

void openvrml::grouping_node::activate | ( | double | timestamp,
|  | bool | over,
|  | bool | active,
|  | double * | p
| ) | `[pure virtual]`

Called in response to user interaction to activate any child pointing device sensor nodes.

Parameters:

  | timestamp | the current time.
  | over | whether the pointer is over sensitive geometry.
  | active | whether the pointer has activated sensitive geometry.
  | p | the activation point.

Implemented in openvrml::vrml97_node::group_node, openvrml::vrml97_node::inline_node, openvrml::vrml97_node::lod_node, and openvrml::vrml97_node::switch_node.

grouping_node * openvrml::grouping_node::to_grouping | ( |  | ) | throw ()`[private, virtual]`

Cast to a grouping_node.

Returns:
  a pointer to this grouping_node.

Reimplemented from openvrml::node.